Loading...
Searching...
No Matches
ChebyshevParam.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/Arrays/ArrayFwd.h>`
`#include <casacore/casa/BasicSL/String.h>`
`#include <casacore/scimath/Functionals/Function1D.h>`

Go to the source code of this file.

## Classes

class | casacore::ChebyshevEnums
| More...
class | casacore::ChebyshevParam< T >
| Parameter handling for Chebyshev polynomial parameters. More...
class | casacore::ChebyshevParamModeImpl< T >
| A ChebyshevParam with the get/setMode implementation. More...
class | casacore::ChebyshevParamModeImpl_PS< AutoDiff< T > >
| Partial specialization of ChebyshevParamModeImpl for AutoDiff. More...
class | casacore::ChebyshevParamModeImpl_PSA< AutoDiffA< T > >
| Partial specialization of ChebyshevParamModeImpl for AutoDiff. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | ChebyshevParamModeImpl_PS
#define | ChebyshevParamModeImpl_PSA

## Macro Definition Documentation

## ChebyshevParamModeImpl_PS

#define ChebyshevParamModeImpl_PS

Definition at line 430 of file ChebyshevParam.h.

## ChebyshevParamModeImpl_PSA

#define ChebyshevParamModeImpl_PSA

Definition at line 485 of file ChebyshevParam.h.